Tuple (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.shared.types
Class Tuple<T>

    java.lang.Object
      org.gcube.resourcemanagement.support.shared.types.Tuple<T>

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, Serializable, Iterable<T>

    public class Tuple<T>

extends Object
implements Iterable<T>, Serializable, com.google.gwt.user.client.rpc.IsSerializable

General purpose tuple representation. A tuple is a sequence (or ordered list) of finite length.

     Example:

     1) Creation
     // single typed tuple
     Tuple<Long> nt = new Tuple<Long>(42L);

     // multi typed tuple
     Tuple<Object> ot = new Tuple<Object>("Lars Tackmann",
                    "Age", 26);

     2) Usage
     // get single element
     Integer val = (Integer) ot.get(2);
     // iterate tuple
     for (Object o : ot)
       System.out.printf("'%s' ", o.toString());
     // print all elems
     System.out.printf("Object tuple: %s\n", ot.toString());

     3) Operations
     // The elements of two tuples a and b can be joined with
     // union operation that returns a new tuple.
     Tuple c = a.union (b);

See Also:
  Serialized Form

Constructor Summary
`Tuple()` Deprecated. For serialization purpose use the other constructors
`Tuple(T... args)`

Method Summary
`void` | `append(T... args)` Appends elements inside a tuple.
`boolean` | `equals(Object obj)` Compares two tuples.
`T` | `get(int index)`
`List<T>` | `getContent()` Deprecated. For serialization purpose use the other constructors
`int` | `hashCode()`
`Iterator<T>` | `iterator()`
`void` | `setContent(List<T> content)` Deprecated. For serialization purpose use the other constructors
`int` | `size()`
`String` | `toString()`
`Tuple<? extends T>` | `union(Tuple<? extends T> t)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tuple

    public Tuple()

  Deprecated. For serialization purpose use the other constructors

### Tuple

    public Tuple(T... args)

Method Detail

### getContent

    public final List<T> getContent()

  Deprecated. For serialization purpose use the other constructors

### setContent

    public final void setContent(List<T> content)

  Deprecated. For serialization purpose use the other constructors

### append

    public final void append(T... args)

  Appends elements inside a tuple.

### union

    public final Tuple<? extends T> union(Tuple<? extends T> t)

### get

    public final T get(int index)

### iterator

    public final Iterator<T> iterator()

  Specified by:
    `iterator` in interface `Iterable<T>`

### size

    public final int size()

### equals

    public final boolean equals(Object obj)

  Compares two tuples. The comparison is applied to all the contained elements.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the `Tuple` element to compare
  Returns:
    true if the number of contained elements is the same and all the elements are equals.

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.